<div class="front_page_section front_page_section_about<?php
			$heartstar_scheme = heartstar_get_theme_option('front_page_about_scheme');
			if (!heartstar_is_inherit($heartstar_scheme)) echo ' scheme_'.esc_attr($heartstar_scheme);
			echo ' front_page_section_paddings_'.esc_attr(heartstar_get_theme_option('front_page_about_paddings'));
		?>"<?php
		$heartstar_css = '';
		$heartstar_bg_image = heartstar_get_theme_option('front_page_about_bg_image');
		if (!empty($heartstar_bg_image)) 
			$heartstar_css .= 'background-image: url('.esc_url(heartstar_get_attachment_url($heartstar_bg_image)).');';
		if (!empty($heartstar_css))
			echo ' style="' . esc_attr($heartstar_css) . '"';
?>><?php
	// Add anchor
	$heartstar_anchor_icon = heartstar_get_theme_option('front_page_about_anchor_icon');	
	$heartstar_anchor_text = heartstar_get_theme_option('front_page_about_anchor_text');	
	if ((!empty($heartstar_anchor_icon) || !empty($heartstar_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_about"'
										. (!empty($heartstar_anchor_icon) ? ' icon="'.esc_attr($heartstar_anchor_icon).'"' : '')
										. (!empty($heartstar_anchor_text) ? ' title="'.esc_attr($heartstar_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_about_inner<?php
			if (heartstar_get_theme_option('front_page_about_fullheight'))
				echo ' heartstar-full-height sc_layouts_flex sc_layouts_columns_middle';
			?>"<?php
			$heartstar_css = '';
			$heartstar_bg_mask = heartstar_get_theme_option('front_page_about_bg_mask');
			$heartstar_bg_color = heartstar_get_theme_option('front_page_about_bg_color');
			if (!empty($heartstar_bg_color) && $heartstar_bg_mask > 0)
				$heartstar_css .= 'background-color: '.esc_attr($heartstar_bg_mask==1
																	? $heartstar_bg_color
																	: heartstar_hex2rgba($heartstar_bg_color, $heartstar_bg_mask)
																).';';
			if (!empty($heartstar_css))
				echo ' style="' . esc_attr($heartstar_css) . '"';
	?>>
		<div class="front_page_section_content_wrap front_page_section_about_content_wrap content_wrap">
			<?php
			// Caption
			$heartstar_caption = heartstar_get_theme_option('front_page_about_caption');
			if (!empty($heartstar_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				?><h2 class="front_page_section_caption front_page_section_about_caption front_page_block_<?php echo !empty($heartstar_caption) ? 'filled' : 'empty'; ?>"><?php echo wp_kses_post($heartstar_caption); ?></h2><?php
			}
		
			// Description (text)
			$heartstar_description = heartstar_get_theme_option('front_page_about_description');
			if (!empty($heartstar_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				?><div class="front_page_section_description front_page_section_about_description front_page_block_<?php echo !empty($heartstar_description) ? 'filled' : 'empty'; ?>"><?php echo wp_kses_post(wpautop($heartstar_description)); ?></div><?php
			}
			
			// Content
			$heartstar_content = heartstar_get_theme_option('front_page_about_content');
			if (!empty($heartstar_content) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				?><div class="front_page_section_content front_page_section_about_content front_page_block_<?php echo !empty($heartstar_content) ? 'filled' : 'empty'; ?>"><?php
					$heartstar_page_content_mask = '%%CONTENT%%';
					if (strpos($heartstar_content, $heartstar_page_content_mask) !== false) {
						$heartstar_content = preg_replace(
									'/(\<p\>\s*)?'.$heartstar_page_content_mask.'(\s*\<\/p\>)/i',
									sprintf('<div class="front_page_section_about_source">%s</div>',
												apply_filters('the_content', get_the_content())),
									$heartstar_content
									);
					}
					heartstar_show_layout($heartstar_content);
				?></div><?php
			}
			?>
		</div>
	</div>
</div>