<div class="front_page_section front_page_section_woocommerce<?php
			$heartstar_scheme = heartstar_get_theme_option('front_page_woocommerce_scheme');
			if (!heartstar_is_inherit($heartstar_scheme)) echo ' scheme_'.esc_attr($heartstar_scheme);
			echo ' front_page_section_paddings_'.esc_attr(heartstar_get_theme_option('front_page_woocommerce_paddings'));
		?>"<?php
		$heartstar_css = '';
		$heartstar_bg_image = heartstar_get_theme_option('front_page_woocommerce_bg_image');
		if (!empty($heartstar_bg_image)) 
			$heartstar_css .= 'background-image: url('.esc_url(heartstar_get_attachment_url($heartstar_bg_image)).');';
		if (!empty($heartstar_css))
			echo ' style="' . esc_attr($heartstar_css) . '"';
?>><?php
	// Add anchor
	$heartstar_anchor_icon = heartstar_get_theme_option('front_page_woocommerce_anchor_icon');	
	$heartstar_anchor_text = heartstar_get_theme_option('front_page_woocommerce_anchor_text');	
	if ((!empty($heartstar_anchor_icon) || !empty($heartstar_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_woocommerce"'
										. (!empty($heartstar_anchor_icon) ? ' icon="'.esc_attr($heartstar_anchor_icon).'"' : '')
										. (!empty($heartstar_anchor_text) ? ' title="'.esc_attr($heartstar_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_woocommerce_inner<?php
			if (heartstar_get_theme_option('front_page_woocommerce_fullheight'))
				echo ' heartstar-full-height sc_layouts_flex sc_layouts_columns_middle';
			?>"<?php
			$heartstar_css = '';
			$heartstar_bg_mask = heartstar_get_theme_option('front_page_woocommerce_bg_mask');
			$heartstar_bg_color = heartstar_get_theme_option('front_page_woocommerce_bg_color');
			if (!empty($heartstar_bg_color) && $heartstar_bg_mask > 0)
				$heartstar_css .= 'background-color: '.esc_attr($heartstar_bg_mask==1
																	? $heartstar_bg_color
																	: heartstar_hex2rgba($heartstar_bg_color, $heartstar_bg_mask)
																).';';
			if (!empty($heartstar_css))
				echo ' style="' . esc_attr($heartstar_css) . '"';
	?>>
		<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
			<?php
			// Content wrap with title and description
			$heartstar_caption = heartstar_get_theme_option('front_page_woocommerce_caption');
			$heartstar_description = heartstar_get_theme_option('front_page_woocommerce_description');
			if (!empty($heartstar_caption) || !empty($heartstar_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				// Caption
				if (!empty($heartstar_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo !empty($heartstar_caption) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses_post($heartstar_caption);
					?></h2><?php
				}
			
				// Description (text)
				if (!empty($heartstar_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo !empty($heartstar_description) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses_post(wpautop($heartstar_description));
					?></div><?php
				}
			}
		
			// Content (widgets)
			?><div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs"><?php 
				$heartstar_woocommerce_sc = heartstar_get_theme_option('front_page_woocommerce_products');
				if ($heartstar_woocommerce_sc == 'products') {
					$heartstar_woocommerce_sc_ids = heartstar_get_theme_option('front_page_woocommerce_products_per_page');
					$heartstar_woocommerce_sc_per_page = count(explode(',', $heartstar_woocommerce_sc_ids));
				} else {
					$heartstar_woocommerce_sc_per_page = max(1, (int) heartstar_get_theme_option('front_page_woocommerce_products_per_page'));
				}
				$heartstar_woocommerce_sc_columns = max(1, min($heartstar_woocommerce_sc_per_page, (int) heartstar_get_theme_option('front_page_woocommerce_products_columns')));
				echo do_shortcode("[{$heartstar_woocommerce_sc}"
									. ($heartstar_woocommerce_sc == 'products' 
											? ' ids="'.esc_attr($heartstar_woocommerce_sc_ids).'"' 
											: '')
									. ($heartstar_woocommerce_sc == 'product_category' 
											? ' category="'.esc_attr(heartstar_get_theme_option('front_page_woocommerce_products_categories')).'"' 
											: '')
									. ($heartstar_woocommerce_sc != 'best_selling_products' 
											? ' orderby="'.esc_attr(heartstar_get_theme_option('front_page_woocommerce_products_orderby')).'"'
											  . ' order="'.esc_attr(heartstar_get_theme_option('front_page_woocommerce_products_order')).'"' 
											: '')
									. ' per_page="'.esc_attr($heartstar_woocommerce_sc_per_page).'"' 
									. ' columns="'.esc_attr($heartstar_woocommerce_sc_columns).'"' 
									. ']');
			?></div>
		</div>
	</div>
</div>