<?php
// Add plugin-specific colors and fonts to the custom CSS
if (!function_exists('heartstar_strong_testimonials_get_css')) {
	add_filter('heartstar_filter_get_css', 'heartstar_strong_testimonials_get_css', 10, 2);

	function heartstar_strong_testimonials_get_css($css, $args) {
		if (isset($css['fonts']) && isset($args['fonts'])) {
			$fonts = $args['fonts'];
			$css['fonts'] .= <<<CSS

.testimonial-client .testimonial-name {
{$fonts['button_font-family']}
}
.testimonial-client .testimonial-date {
{$fonts['button_font-family']}
}
.strong-view.simple .testimonial-content p {
	{$fonts['h5_font-family']}
}
.strong-form .field-rating label {
{$fonts['h5_font-family']}
}

CSS;
		}
			if (isset($css['colors']) && isset($args['colors'])) {
			$colors = $args['colors'];
			$css['colors'] .= <<<CSS

/*Strong testimonials*/
.strong-content .testimonial {
	background-color: {$colors['alter_bg_color']};
}
.testimonial-client .testimonial-name {
color: {$colors['text_dark']};
}
.testimonial-client .testimonial-date {
color: {$colors['input_light']};
}
.strong-form .field-rating label {
color: {$colors['text_dark']};
}
.strong-rating label:before {
  color: #FFB900;
}
.strong-rating-wrapper.in-metabox input[type="radio"]:checked + label:before {
  color: #00b9eb;
}
.strong-rating:hover input:checked + label:before,
.error .strong-rating:hover input:checked + label:before {
  color: #FFE39E;
}
.post_item_single.post_type_wpm-testimonial {
	background-color: {$colors['alter_bg_color']};
}
CSS;
		}

		return $css;
	}
}
?>