<?php
/**
 * The template 'Style 2' to displaying related posts
 *
 * @package WordPress
 * @subpackage HEARTSTAR
 * @since HEARTSTAR 1.0
 */

$heartstar_link = get_permalink();
$heartstar_post_format = get_post_format();
$heartstar_post_format = empty($heartstar_post_format) ? 'standard' : str_replace('post-format-', '', $heartstar_post_format);
?><div id="post-<?php the_ID(); ?>" 
	<?php post_class( 'related_item related_item_style_2 post_format_'.esc_attr($heartstar_post_format) ); ?>><?php
	heartstar_show_post_featured(array(
		'thumb_size' => apply_filters('heartstar_filter_related_thumb_size', heartstar_get_thumb_size( (int) heartstar_get_theme_option('related_posts') == 1 ? 'huge' : 'large' )),
		'show_no_image' => heartstar_get_theme_setting('allow_no_image'),
		'singular' => false
		)
	);
	?><div class="post_header entry-header"><?php
		if ( in_array(get_post_type(), array( 'post', 'attachment' ) ) ) {
			?><?php
		}
		?>
		<h6 class="post_title entry-title"><a href="<?php echo esc_url($heartstar_link); ?>"><?php the_title(); ?></a></h6>
	</div>
</div>