<div class="front_page_section front_page_section_contacts<?php
			$heartstar_scheme = heartstar_get_theme_option('front_page_contacts_scheme');
			if (!heartstar_is_inherit($heartstar_scheme)) echo ' scheme_'.esc_attr($heartstar_scheme);
			echo ' front_page_section_paddings_'.esc_attr(heartstar_get_theme_option('front_page_contacts_paddings'));
		?>"<?php
		$heartstar_css = '';
		$heartstar_bg_image = heartstar_get_theme_option('front_page_contacts_bg_image');
		if (!empty($heartstar_bg_image)) 
			$heartstar_css .= 'background-image: url('.esc_url(heartstar_get_attachment_url($heartstar_bg_image)).');';
		if (!empty($heartstar_css))
			echo ' style="' . esc_attr($heartstar_css) . '"';
?>><?php
	// Add anchor
	$heartstar_anchor_icon = heartstar_get_theme_option('front_page_contacts_anchor_icon');	
	$heartstar_anchor_text = heartstar_get_theme_option('front_page_contacts_anchor_text');	
	if ((!empty($heartstar_anchor_icon) || !empty($heartstar_anchor_text)) && shortcode_exists('trx_sc_anchor')) {
		echo do_shortcode('[trx_sc_anchor id="front_page_section_contacts"'
										. (!empty($heartstar_anchor_icon) ? ' icon="'.esc_attr($heartstar_anchor_icon).'"' : '')
										. (!empty($heartstar_anchor_text) ? ' title="'.esc_attr($heartstar_anchor_text).'"' : '')
										. ']');
	}
	?>
	<div class="front_page_section_inner front_page_section_contacts_inner<?php
			if (heartstar_get_theme_option('front_page_contacts_fullheight'))
				echo ' heartstar-full-height sc_layouts_flex sc_layouts_columns_middle';
			?>"<?php
			$heartstar_css = '';
			$heartstar_bg_mask = heartstar_get_theme_option('front_page_contacts_bg_mask');
			$heartstar_bg_color = heartstar_get_theme_option('front_page_contacts_bg_color');
			if (!empty($heartstar_bg_color) && $heartstar_bg_mask > 0)
				$heartstar_css .= 'background-color: '.esc_attr($heartstar_bg_mask==1
																	? $heartstar_bg_color
																	: heartstar_hex2rgba($heartstar_bg_color, $heartstar_bg_mask)
																).';';
			if (!empty($heartstar_css))
				echo ' style="' . esc_attr($heartstar_css) . '"';
	?>>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$heartstar_caption = heartstar_get_theme_option('front_page_contacts_caption');
			$heartstar_description = heartstar_get_theme_option('front_page_contacts_description');
			if (!empty($heartstar_caption) || !empty($heartstar_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				// Caption
				if (!empty($heartstar_caption) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo !empty($heartstar_caption) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses_post($heartstar_caption);
					?></h2><?php
				}
			
				// Description
				if (!empty($heartstar_description) || (current_user_can('edit_theme_options') && is_customize_preview())) {
					?><div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo !empty($heartstar_description) ? 'filled' : 'empty'; ?>"><?php
						echo wp_kses_post(wpautop($heartstar_description));
					?></div><?php
				}
			}

			// Content (text)
			$heartstar_content = heartstar_get_theme_option('front_page_contacts_content');
			$heartstar_layout = heartstar_get_theme_option('front_page_contacts_layout');
			if ($heartstar_layout == 'columns' && (!empty($heartstar_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?><div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ((!empty($heartstar_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?><div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo !empty($heartstar_content) ? 'filled' : 'empty'; ?>"><?php
					echo wp_kses_post($heartstar_content);
				?></div><?php
			}

			if ($heartstar_layout == 'columns' && (!empty($heartstar_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?></div><div class="column-2_3"><?php
			}
		
			// Shortcode output
			$heartstar_sc = heartstar_get_theme_option('front_page_contacts_shortcode');
			if (!empty($heartstar_sc) || (current_user_can('edit_theme_options') && is_customize_preview())) {
				?><div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo !empty($heartstar_sc) ? 'filled' : 'empty'; ?>"><?php
					heartstar_show_layout(do_shortcode($heartstar_sc));
				?></div><?php
			}

			if ($heartstar_layout == 'columns' && (!empty($heartstar_content) || (current_user_can('edit_theme_options') && is_customize_preview()))) {
				?></div></div><?php
			}
			?>			
		</div>
	</div>
</div>