<?php
/**
 * The template for homepage posts with "Excerpt" style
 *
 * @package WordPress
 * @subpackage HEARTSTAR
 * @since HEARTSTAR 1.0
 */

heartstar_storage_set('blog_archive', true);

get_header(); 

if (have_posts()) {

	heartstar_blog_archive_start();

	?><div class="posts_container"><?php
	
	$heartstar_stickies = is_home() ? get_option( 'sticky_posts' ) : false;
	$heartstar_sticky_out = heartstar_get_theme_option('sticky_style')=='columns' 
							&& is_array($heartstar_stickies) && count($heartstar_stickies) > 0 && get_query_var( 'paged' ) < 1;
	if ($heartstar_sticky_out) {
		?><div class="sticky_wrap columns_wrap"><?php	
	}
	while ( have_posts() ) { the_post(); 
		if ($heartstar_sticky_out && !is_sticky()) {
			$heartstar_sticky_out = false;
			?></div><?php
		}
		$heartstar_part = $heartstar_sticky_out && is_sticky() ? 'sticky' : 'excerpt';
		get_template_part( apply_filters('heartstar_filter_get_template_part', 'content', $heartstar_part), $heartstar_part );
	}
	if ($heartstar_sticky_out) {
		$heartstar_sticky_out = false;
		?></div><?php
	}
	
	?></div><?php

	heartstar_show_pagination();

	heartstar_blog_archive_end();

} else {

	if ( is_search() )
		get_template_part( apply_filters('heartstar_filter_get_template_part', 'content', 'none-search'), 'none-search' );
	else
		get_template_part( apply_filters('heartstar_filter_get_template_part', 'content', 'none-archive'), 'none-archive' );

}

get_footer();
?>