<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package WordPress
 * @subpackage HEARTSTAR
 * @since HEARTSTAR 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap<?php
				if (!heartstar_is_inherit(heartstar_get_theme_option('copyright_scheme')))
					echo ' scheme_' . esc_attr(heartstar_get_theme_option('copyright_scheme'));
 				?>">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text"><?php
				$heartstar_copyright = heartstar_get_theme_option('copyright');
				if (!empty($heartstar_copyright)) {
					// Replace {{Y}} or {Y} with the current year
					$heartstar_copyright = str_replace(array('{{Y}}', '{Y}'), date('Y'), $heartstar_copyright);
					// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
					$heartstar_copyright = heartstar_prepare_macros($heartstar_copyright);
					// Display copyright
					echo wp_kses_post(nl2br($heartstar_copyright));
				}
			?></div>
		</div>
	</div>
</div>
